Skip to content

List numbers and inventory

GET
/v1/phone-numbers
curl --request GET \
--url 'https://api.vocapable.com/v1/phone-numbers?limit=50' \
--header 'Authorization: Bearer <token>'

This tenant’s numbers plus the unassigned platform inventory it may claim.

limit
Limit
integer
default: 50 >= 1 <= 200
cursor
Any of:
string
reputation_state
Any of:
string

Filter on reputation_state. Comma-separated values are OR.

reputation_state.gte
Any of:
string

Filter on reputation_state with the gte operator.

reputation_state.lte
Any of:
string

Filter on reputation_state with the lte operator.

reputation_state.gt
Any of:
string

Filter on reputation_state with the gt operator.

reputation_state.lt
Any of:
string

Filter on reputation_state with the lt operator.

reputation_state.in
Any of:
string

Filter on reputation_state with the in operator.

status
Any of:
string

Filter on status. Comma-separated values are OR.

status.gte
Any of:
string

Filter on status with the gte operator.

status.lte
Any of:
string

Filter on status with the lte operator.

status.gt
Any of:
string

Filter on status with the gt operator.

status.lt
Any of:
string

Filter on status with the lt operator.

status.in
Any of:
string

Filter on status with the in operator.

telephony_account_id
Any of:
string

Filter on telephony_account_id. Comma-separated values are OR.

telephony_account_id.gte
Any of:
string

Filter on telephony_account_id with the gte operator.

telephony_account_id.lte
Any of:
string

Filter on telephony_account_id with the lte operator.

telephony_account_id.gt
Any of:
string

Filter on telephony_account_id with the gt operator.

telephony_account_id.lt
Any of:
string

Filter on telephony_account_id with the lt operator.

telephony_account_id.in
Any of:
string

Filter on telephony_account_id with the in operator.

Successful Response

Media typeapplication/json
CursorPage[PhoneNumberSummary]
object
data
required
Data
Array<object>
PhoneNumberSummary
object
id
required
Id
string
phone_e164
required
Phone E164
string
telephony_account_id
required
Telephony Account Id
string
provider_sid
Any of:
string
capabilities
Capabilities
Array<string>
Allowed values: voice sms
a2p_campaign_ref
Any of:
string
status
required
Status
string
Allowed values: provisioning active quarantined resting releasing released
assigned_at
Any of:
string format: date-time
daily_dial_cap
Any of:
integer
dials_today
required
Dials Today
integer
reputation_state
required
Reputation State
string
Allowed values: clean at_risk flagged burned
inbound_agent_id
Any of:
string
inbound_route_mode
Inbound Route Mode
string
default: agent
Allowed values: agent voicemail policy
inbound_voicemail_greeting
Any of:
string
created_at
required
Created At
string format: date-time
next_cursor
Any of:
string
has_more
Has More
boolean
Example
{
"data": [
{
"capabilities": [
"voice"
],
"status": "provisioning",
"reputation_state": "clean",
"inbound_route_mode": "agent"
}
],
"has_more": false
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}